Get paginated challenges
curl --request GET \
--url https://{subdomain}.nudj.cx/api/v2/admin/challenges \
--header 'x-api-token: <api-key>'{
"totalCount": 123,
"edges": [
{
"id": "<string>",
"organisationId": "<string>",
"communityId": "<string>",
"additionalCommunityIds": [
"<string>"
],
"details": {
"title": "<string>",
"description": "<string>",
"light": {
"primaryImageUrl": "<string>",
"secondaryImageUrl": "<string>"
},
"dark": {
"primaryImageUrl": "<string>",
"secondaryImageUrl": "<string>"
}
},
"maxCompletionsPerPeriod": 1,
"numberOfActions": 1,
"actionIds": [
"<string>"
],
"actionGroups": [
{
"id": "<string>",
"details": {
"title": "<string>",
"description": "<string>",
"light": {
"primaryImageUrl": "<string>",
"secondaryImageUrl": "<string>"
},
"dark": {
"primaryImageUrl": "<string>",
"secondaryImageUrl": "<string>"
}
},
"parentGroupId": "<string>"
}
],
"isLinear": true,
"unlockPrice": 1,
"tags": [
"<string>"
],
"startedCount": 1,
"completedCount": 1,
"uniqueUsersStartedCount": 1,
"uniqueUsersCompletedCount": 1,
"campaigns": [
"<string>"
],
"availableAsTemplateForOrganisations": [
"<string>"
],
"isGlobalTemplate": true,
"groupIds": [
"<string>"
],
"createdAt": "<string>",
"videoConfig": {
"videoUrl": "<string>",
"isVideoEnabled": true
},
"xpConfig": {
"total": 1,
"knowledge": 1,
"creativity": 1,
"loyalty": 1,
"influence": 1,
"participation": 1,
"contribution": 1
},
"rewardDistribution": {
"points": 1,
"xp": 1,
"distributionEventId": "<string>",
"rewardAllocations": [
{
"rewardId": "<string>",
"allocationId": "<string>",
"amountToDistribute": 2
}
],
"numberOfRewardsToReceive": 1
},
"actionsRewardDistribution": {
"points": 1,
"xp": 1,
"rewardAllocations": [
{
"rewardId": "<string>",
"allocationId": "<string>",
"amountToDistribute": 2
}
]
},
"enabledForSingleView": true,
"startDate": "<string>",
"endDate": "<string>",
"featured": true,
"threadId": "<string>",
"isSkippable": true,
"startsAt": "<string>",
"expiresAt": "<string>",
"updatedAt": "<string>"
}
]
}Challenge
Get paginated challenges
Retrieve a paginated list of challenges.
GET
/
challenges
Get paginated challenges
curl --request GET \
--url https://{subdomain}.nudj.cx/api/v2/admin/challenges \
--header 'x-api-token: <api-key>'{
"totalCount": 123,
"edges": [
{
"id": "<string>",
"organisationId": "<string>",
"communityId": "<string>",
"additionalCommunityIds": [
"<string>"
],
"details": {
"title": "<string>",
"description": "<string>",
"light": {
"primaryImageUrl": "<string>",
"secondaryImageUrl": "<string>"
},
"dark": {
"primaryImageUrl": "<string>",
"secondaryImageUrl": "<string>"
}
},
"maxCompletionsPerPeriod": 1,
"numberOfActions": 1,
"actionIds": [
"<string>"
],
"actionGroups": [
{
"id": "<string>",
"details": {
"title": "<string>",
"description": "<string>",
"light": {
"primaryImageUrl": "<string>",
"secondaryImageUrl": "<string>"
},
"dark": {
"primaryImageUrl": "<string>",
"secondaryImageUrl": "<string>"
}
},
"parentGroupId": "<string>"
}
],
"isLinear": true,
"unlockPrice": 1,
"tags": [
"<string>"
],
"startedCount": 1,
"completedCount": 1,
"uniqueUsersStartedCount": 1,
"uniqueUsersCompletedCount": 1,
"campaigns": [
"<string>"
],
"availableAsTemplateForOrganisations": [
"<string>"
],
"isGlobalTemplate": true,
"groupIds": [
"<string>"
],
"createdAt": "<string>",
"videoConfig": {
"videoUrl": "<string>",
"isVideoEnabled": true
},
"xpConfig": {
"total": 1,
"knowledge": 1,
"creativity": 1,
"loyalty": 1,
"influence": 1,
"participation": 1,
"contribution": 1
},
"rewardDistribution": {
"points": 1,
"xp": 1,
"distributionEventId": "<string>",
"rewardAllocations": [
{
"rewardId": "<string>",
"allocationId": "<string>",
"amountToDistribute": 2
}
],
"numberOfRewardsToReceive": 1
},
"actionsRewardDistribution": {
"points": 1,
"xp": 1,
"rewardAllocations": [
{
"rewardId": "<string>",
"allocationId": "<string>",
"amountToDistribute": 2
}
]
},
"enabledForSingleView": true,
"startDate": "<string>",
"endDate": "<string>",
"featured": true,
"threadId": "<string>",
"isSkippable": true,
"startsAt": "<string>",
"expiresAt": "<string>",
"updatedAt": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.nudj.cx/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Headers
The language to return the challenges in. If not provided, the default language for the organisation will be used.
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0Was this page helpful?
⌘I

